package com.zjrs.zwnw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.blo.JxgwBLO;
import com.zjrs.zwnw.rlzysc.bpo.JxgwBPO;
import com.zjrs.zwnw.rlzysc.dto.JxgwCommDTO;
import com.zjrs.zwnw.rlzysc.dto.JxgwQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.JxgwSaveDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyJxgwPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;

@Service
public class JxgwBPOimpl extends BPOImpl implements JxgwBPO {

    @Resource
    private JxgwBLO jxgwBLO;

    @Override
    public PageResult getList(JxgwQueryDTO dto) {
        return jxgwBLO.getList(dto);
    }
    @Override
    public VRsRlzyJxgwPO getDetail(JxgwCommDTO dto){
        return jxgwBLO.getDetail(dto);
    }
    @Override
    public String saveJxgw(JxgwSaveDTO dto){
        return jxgwBLO.saveJxgw(dto);
    }
    @Override
    public void delJxgw(JxgwCommDTO dto){
        jxgwBLO.delJxgw(dto);
    }
    @Override
    public void updateFbzt(JxgwCommDTO dto){
        jxgwBLO.updateZt(dto,"1");
    }
    @Override
    public void updateBmzt(JxgwCommDTO dto){
        jxgwBLO.updateZt(dto,"2");
    }
    @Override
    public void exportJxgw(JxgwQueryDTO dto, HttpServletResponse res){
        jxgwBLO.exportJxgw(dto,res);
    }

}
